JsonFormat.Value (Jackson-annotations 2.9.0 API)
Date: 2018-01-23

com.fasterxml.jackson.annotation

## Class JsonFormat.Value

- java.lang.Object
- - com.fasterxml.jackson.annotation.JsonFormat.Value

- All Implemented Interfaces:
    JacksonAnnotationValue<JsonFormat>, Serializable
  Enclosing class:
    JsonFormat

      public static class JsonFormat.Value
      extends Object
      implements JacksonAnnotationValue<JsonFormat>, Serializable

  Helper class used to contain information from a single `JsonFormat` annotation.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonFormat.Value()`
    `JsonFormat.Value(JsonFormat ann)`
    `JsonFormat.Value(String p, JsonFormat.Shape sh, Locale l, String tzStr, TimeZone tz, JsonFormat.Features f)` Deprecated.
    `JsonFormat.Value(String p, JsonFormat.Shape sh, Locale l, String tzStr, TimeZone tz, JsonFormat.Features f, Boolean lenient)`
    `JsonFormat.Value(String p, JsonFormat.Shape sh, Locale l, TimeZone tz, JsonFormat.Features f)` Deprecated.
    `JsonFormat.Value(String p, JsonFormat.Shape sh, Locale l, TimeZone tz, JsonFormat.Features f, Boolean lenient)`
    `JsonFormat.Value(String p, JsonFormat.Shape sh, String localeStr, String tzStr, JsonFormat.Features f)` Deprecated.
    `JsonFormat.Value(String p, JsonFormat.Shape sh, String localeStr, String tzStr, JsonFormat.Features f, Boolean lenient)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonFormat.Value` | `empty()`
    `boolean` | `equals(Object o)`
    `static JsonFormat.Value` | `forLeniency(boolean lenient)`
    `static JsonFormat.Value` | `forPattern(String p)`
    `static JsonFormat.Value` | `forShape(JsonFormat.Shape sh)`
    `static JsonFormat.Value` | `from(JsonFormat ann)`
    `Boolean` | `getFeature(JsonFormat.Feature f)` Accessor for checking whether this format value has specific setting for given feature.
    `JsonFormat.Features` | `getFeatures()` Accessor for getting full set of features enabled/disabled.
    `Boolean` | `getLenient()`
    `Locale` | `getLocale()`
    `String` | `getPattern()`
    `JsonFormat.Shape` | `getShape()`
    `TimeZone` | `getTimeZone()`
    `int` | `hashCode()`
    `boolean` | `hasLenient()` Accessor for checking whether there is a setting for leniency.
    `boolean` | `hasLocale()`
    `boolean` | `hasPattern()`
    `boolean` | `hasShape()`
    `boolean` | `hasTimeZone()`
    `boolean` | `isLenient()`
    `static JsonFormat.Value` | `merge(JsonFormat.Value base, JsonFormat.Value overrides)` Helper method that will try to combine values from two `JsonFormat.Value` instances, using one as base settings, and the other as overrides to use instead of base values when defined; base values are only use if override does not specify a value (matching value is null or logically missing).
    `static JsonFormat.Value` | `mergeAll(JsonFormat.Value... values)`
    `String` | `timeZoneAsString()` Alternate access (compared to `getTimeZone()`) which is useful when caller just wants time zone id to convert, but not as JDK provided `TimeZone`
    `String` | `toString()`
    `Class<JsonFormat>` | `valueFor()` Introspection method that may be used to find actual annotation that may be used as the source for value instance.
    `JsonFormat.Value` | `withFeature(JsonFormat.Feature f)`
    `JsonFormat.Value` | `withLenient(Boolean lenient)`
    `JsonFormat.Value` | `withLocale(Locale l)`
    `JsonFormat.Value` | `withoutFeature(JsonFormat.Feature f)`
    `JsonFormat.Value` | `withOverrides(JsonFormat.Value overrides)`
    `JsonFormat.Value` | `withPattern(String p)`
    `JsonFormat.Value` | `withShape(JsonFormat.Shape s)`
    `JsonFormat.Value` | `withTimeZone(TimeZone tz)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonFormat.Value

          public JsonFormat.Value()

    - #### JsonFormat.Value

          public JsonFormat.Value(JsonFormat ann)

    - #### JsonFormat.Value

          public JsonFormat.Value(String p,
                          JsonFormat.Shape sh,
                          String localeStr,
                          String tzStr,
                          JsonFormat.Features f,
                          Boolean lenient)

      Since:
        2.9

    - #### JsonFormat.Value

          public JsonFormat.Value(String p,
                          JsonFormat.Shape sh,
                          Locale l,
                          TimeZone tz,
                          JsonFormat.Features f,
                          Boolean lenient)

      Since:
        2.9

    - #### JsonFormat.Value

          public JsonFormat.Value(String p,
                          JsonFormat.Shape sh,
                          Locale l,
                          String tzStr,
                          TimeZone tz,
                          JsonFormat.Features f,
                          Boolean lenient)

      Since:
        2.9

    - #### JsonFormat.Value

          @Deprecated
          public JsonFormat.Value(String p,
                                     JsonFormat.Shape sh,
                                     Locale l,
                                     String tzStr,
                                     TimeZone tz,
                                     JsonFormat.Features f)

      Deprecated.

    - #### JsonFormat.Value

          @Deprecated
          public JsonFormat.Value(String p,
                                     JsonFormat.Shape sh,
                                     String localeStr,
                                     String tzStr,
                                     JsonFormat.Features f)

      Deprecated.

    - #### JsonFormat.Value

          @Deprecated
          public JsonFormat.Value(String p,
                                     JsonFormat.Shape sh,
                                     Locale l,
                                     TimeZone tz,
                                     JsonFormat.Features f)

      Deprecated.

  - ### Method Detail

    - #### empty

          public static final JsonFormat.Value empty()

      Since:
        2.7

    - #### merge

          public static JsonFormat.Value merge(JsonFormat.Value base,
                               JsonFormat.Value overrides)

      Helper method that will try to combine values from two `JsonFormat.Value` instances, using one as base settings, and the other as overrides to use instead of base values when defined; base values are only use if override does not specify a value (matching value is null or logically missing). Note that one or both of value instances may be `null`, directly; if both are `null`, result will also be `null`; otherwise never null.
      Since:
        2.8

    - #### mergeAll

          public static JsonFormat.Value mergeAll(JsonFormat.Value... values)

      Since:
        2.8

    - #### from

          public static final JsonFormat.Value from(JsonFormat ann)

      Since:
        2.7

    - #### withOverrides

          public final JsonFormat.Value withOverrides(JsonFormat.Value overrides)

      Since:
        2.7

    - #### forPattern

          public static JsonFormat.Value forPattern(String p)

      Since:
        2.6

    - #### forShape

          public static JsonFormat.Value forShape(JsonFormat.Shape sh)

      Since:
        2.7

    - #### forLeniency

          public static JsonFormat.Value forLeniency(boolean lenient)

      Since:
        2.9

    - #### withPattern

          public JsonFormat.Value withPattern(String p)

      Since:
        2.1

    - #### withShape

          public JsonFormat.Value withShape(JsonFormat.Shape s)

      Since:
        2.1

    - #### withLocale

          public JsonFormat.Value withLocale(Locale l)

      Since:
        2.1

    - #### withTimeZone

          public JsonFormat.Value withTimeZone(TimeZone tz)

      Since:
        2.1

    - #### withLenient

          public JsonFormat.Value withLenient(Boolean lenient)

      Since:
        2.9

    - #### withFeature

          public JsonFormat.Value withFeature(JsonFormat.Feature f)

      Since:
        2.6

    - #### withoutFeature

          public JsonFormat.Value withoutFeature(JsonFormat.Feature f)

      Since:
        2.6

    - #### valueFor

          public Class<JsonFormat> valueFor()

      Description copied from interface: `JacksonAnnotationValue`
      Introspection method that may be used to find actual annotation that may be used as the source for value instance.
      Specified by:
        `valueFor` in interface `JacksonAnnotationValue<JsonFormat>`

    - #### getPattern

          public String getPattern()

    - #### getShape

          public JsonFormat.Shape getShape()

    - #### getLocale

          public Locale getLocale()

    - #### getLenient

          public Boolean getLenient()

      Since:
        2.9

    - #### isLenient

          public boolean isLenient()

      Since:
        2.9

    - #### timeZoneAsString

          public String timeZoneAsString()

      Alternate access (compared to `getTimeZone()`) which is useful when caller just wants time zone id to convert, but not as JDK provided `TimeZone`
      Since:
        2.4

    - #### getTimeZone

          public TimeZone getTimeZone()

    - #### hasShape

          public boolean hasShape()

      Since:
        2.4

    - #### hasPattern

          public boolean hasPattern()

      Since:
        2.4

    - #### hasLocale

          public boolean hasLocale()

      Since:
        2.4

    - #### hasTimeZone

          public boolean hasTimeZone()

      Since:
        2.4

    - #### hasLenient

          public boolean hasLenient()

      Accessor for checking whether there is a setting for leniency. NOTE: does NOT mean that `lenient` is `true` necessarily; just that it has been set.
      Since:
        2.9

    - #### getFeature

          public Boolean getFeature(JsonFormat.Feature f)

      Accessor for checking whether this format value has specific setting for given feature. Result is 3-valued with either `null`, `Boolean.TRUE` or `Boolean.FALSE`, indicating 'yes/no/dunno' choices, where `null` ("dunno") indicates that the default handling should be used based on global defaults, and there is no format override.
      Since:
        2.6

    - #### getFeatures

          public JsonFormat.Features getFeatures()

      Accessor for getting full set of features enabled/disabled.
      Since:
        2.8

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

Copyright © 2008–2018 FasterXML. All rights reserved.